Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Feb 2016 05:43:22 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Alain Schneble <[email-masked]>,  [email-masked],  [email-masked]
> Date: Mon, 29 Feb 2016 13:49:36 +1100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > No, I think it should: that write comes from GnuTLS, when it attempts
> > a handshake.  Returning EWOULDBLOCK tells GnuTLS to spin waiting until
> > the connection is complete.
> 
> No, it doesn't spin, it just tries again later (from the event loop).

That's what I meant by "spin" (what "event loop"?)

> But returning EWOULDBLOCK seems correct.
> 
> > The only problem left is that not all images on www.fsf.org's page are
> > downloaded; they are if I use http instead of https.  I guess this is
> > some eww thing?
> 
> No, you should get the images in the https version, too, unless it's
> unable to verify the TLS certificate.  Which I guess is not a problem,
> since it's displaying the web page itself...

Some of the images get downloaded, some don't.  And it isn't 100%
repeatable.  Strange...

> What happens if you load the image directly with eww?
> 
> https://static.fsf.org/nosvn/logos/fsf30-logo/fsf30-header-fsf.png

It's downloaded, of course.